Summary: C++ networking library
Name: wangle
Version: 0.13.0
Release: 2.20160823.0%{?dist}
License: BSD
Group: Development/Languages
URL: https://github.com/facebook/fbthrift
#Source: wangle-%{version}.tar.gz
Source: wangle-master.zip
Patch1: fixcompile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: folly-devel cmake openssl-devel
BuildRequires: devtoolset-2-gcc-c++ environment-modules devtoolset-2-build devtoolset-2-binutils devtoolset-2-libquadmath-devel devtoolset-2-libatomic-devel
Requires: folly-devel libatomic

%description
C++ networking library

Wangle is a library that makes it easy to build protocols, application clients, and application servers.

It's like Netty + Finagle smooshed together, but in C++

%prep
%setup -n wangle-master
%patch1 -p1

%build
. /etc/profile.d/modules.sh
module load rh autoconf boost
cd wangle
export BOOST_ROOT=$BOOSTHOME 
cmake .
%{__make} %{?_smp_mflags}


%install
. /etc/profile.d/modules.sh
module load rh autoconf boost
cd wangle
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"
mv %{buildroot}/usr/local/* %{buildroot}/usr
%if "%{_lib}" != "lib"
mv %{buildroot}/usr/lib %{buildroot}/usr/%{_lib}
%endif

%check
# for now skip test - failing, but some parts can be made to pass - looks like a code problem rather then build, other reports of same issues available in github issues
%if 0
. /etc/profile.d/modules.sh
module load rh autoconf boost
cd wangle
ctest
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE CONTRIBUTING.md PATENTS README.md
%doc wangle/example
%{_libdir}/libwangle.a
%{_includedir}/wangle

%changelog
* Tue Sep 22 2015 Josko Plazonic <plazonic@princeton.edu>
- initial build
